<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>XDDFChartData (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="XDDFChartData (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":10,"i2":10,"i3":10,"i4":10,"i5":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XDDFChartData.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html"
               title="class in org.apache.poi.xddf.usermodel.chart"><span
                class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartData.Series.html"
               title="class in org.apache.poi.xddf.usermodel.chart"><span
                class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/xddf/usermodel/chart/XDDFChartData.html" target="_top">Frames</a>
        </li>
        <li><a href="XDDFChartData.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.xddf.usermodel.chart</div>
    <h2 title="Class XDDFChartData" class="title">Class XDDFChartData</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.xddf.usermodel.chart.XDDFChartData</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>Direct Known Subclasses:</dt>
                    <dd><a href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFBarChartData.html"
                           title="class in org.apache.poi.xddf.usermodel.chart">XDDFBarChartData</a>, <a
                            href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFLineChartData.html"
                            title="class in org.apache.poi.xddf.usermodel.chart">XDDFLineChartData</a>, <a
                            href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFPieChartData.html"
                            title="class in org.apache.poi.xddf.usermodel.chart">XDDFPieChartData</a>, <a
                            href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFRadarChartData.html"
                            title="class in org.apache.poi.xddf.usermodel.chart">XDDFRadarChartData</a>, <a
                            href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFScatterChartData.html"
                            title="class in org.apache.poi.xddf.usermodel.chart">XDDFScatterChartData</a></dd>
                </dl>
                <hr>
                <br>
                <pre><a href="../../../../../../org/apache/poi/util/Beta.html"
                        title="annotation in org.apache.poi.util">@Beta</a>
public abstract class <span class="typeNameLabel">XDDFChartData</span>
extends java.lang.Object</pre>
                <div class="block">Base of all XDDF Chart Data</div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== NESTED CLASS SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="nested.class.summary">
                        <!--   -->
                    </a>
                        <h3>Nested Class Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Nested Class Summary table, listing nested classes, and an explanation">
                            <caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Class and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>class&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartData.Series.html"
                                        title="class in org.apache.poi.xddf.usermodel.chart">XDDFChartData.Series</a></span></code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected java.util.List&lt;<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartData.Series.html"
                                        title="class in org.apache.poi.xddf.usermodel.chart">XDDFChartData.Series</a>&gt;</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartData.html#series">series</a></span></code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier</th>
                                <th class="colLast" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected </code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartData.html#XDDFChartData--">XDDFChartData</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a
                                    href="javascript:show(4);">Abstract Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>abstract <a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartData.Series.html"
                                        title="class in org.apache.poi.xddf.usermodel.chart">XDDFChartData.Series</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartData.html#addSeries-org.apache.poi.xddf.usermodel.chart.XDDFDataSource-org.apache.poi.xddf.usermodel.chart.XDDFNumericalDataSource-">addSeries</a></span>(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFDataSource.html"
                                        title="interface in org.apache.poi.xddf.usermodel.chart">XDDFDataSource</a>&lt;?&gt;&nbsp;category,
                                    <a href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFNumericalDataSource.html"
                                       title="interface in org.apache.poi.xddf.usermodel.chart">XDDFNumericalDataSource</a>&lt;?
                                    extends java.lang.Number&gt;&nbsp;values)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartData.html#defineAxes-org.openxmlformats.schemas.drawingml.x2006.chart.CTUnsignedInt:A-java.util.Map-java.util.Map-">defineAxes</a></span>(org.openxmlformats.schemas.drawingml.x2006.chart.CTUnsignedInt[]&nbsp;axes,
                                    java.util.Map&lt;java.lang.Long,<a
                                            href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html"
                                            title="class in org.apache.poi.xddf.usermodel.chart">XDDFChartAxis</a>&gt;&nbsp;categories,
                                    java.util.Map&lt;java.lang.Long,<a
                                            href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFValueAxis.html"
                                            title="class in org.apache.poi.xddf.usermodel.chart">XDDFValueAxis</a>&gt;&nbsp;values)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFCategoryAxis.html"
                                        title="class in org.apache.poi.xddf.usermodel.chart">XDDFCategoryAxis</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartData.html#getCategoryAxis--">getCategoryAxis</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>java.util.List&lt;<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartData.Series.html"
                                        title="class in org.apache.poi.xddf.usermodel.chart">XDDFChartData.Series</a>&gt;</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartData.html#getSeries--">getSeries</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>java.util.List&lt;<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFValueAxis.html"
                                        title="class in org.apache.poi.xddf.usermodel.chart">XDDFValueAxis</a>&gt;</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartData.html#getValueAxes--">getValueAxes</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>abstract void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartData.html#setVaryColors-boolean-">setVaryColors</a></span>(boolean&nbsp;varyColors)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="series">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>series</h4>
                                <pre>protected&nbsp;java.util.List&lt;<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartData.Series.html"
                                        title="class in org.apache.poi.xddf.usermodel.chart">XDDFChartData.Series</a>&gt; series</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="XDDFChartData--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>XDDFChartData</h4>
                                <pre>protected&nbsp;XDDFChartData()</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="defineAxes-org.openxmlformats.schemas.drawingml.x2006.chart.CTUnsignedInt:A-java.util.Map-java.util.Map-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>defineAxes</h4>
                                <pre>protected&nbsp;void&nbsp;defineAxes(org.openxmlformats.schemas.drawingml.x2006.chart.CTUnsignedInt[]&nbsp;axes,
                          java.util.Map&lt;java.lang.Long,<a
                                            href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html"
                                            title="class in org.apache.poi.xddf.usermodel.chart">XDDFChartAxis</a>&gt;&nbsp;categories,
                          java.util.Map&lt;java.lang.Long,<a
                                            href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFValueAxis.html"
                                            title="class in org.apache.poi.xddf.usermodel.chart">XDDFValueAxis</a>&gt;&nbsp;values)</pre>
                            </li>
                        </ul>
                        <a name="getCategoryAxis--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCategoryAxis</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFCategoryAxis.html"
                                        title="class in org.apache.poi.xddf.usermodel.chart">XDDFCategoryAxis</a>&nbsp;getCategoryAxis()</pre>
                            </li>
                        </ul>
                        <a name="getValueAxes--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getValueAxes</h4>
                                <pre>public&nbsp;java.util.List&lt;<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFValueAxis.html"
                                        title="class in org.apache.poi.xddf.usermodel.chart">XDDFValueAxis</a>&gt;&nbsp;getValueAxes()</pre>
                            </li>
                        </ul>
                        <a name="getSeries--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSeries</h4>
                                <pre>public&nbsp;java.util.List&lt;<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartData.Series.html"
                                        title="class in org.apache.poi.xddf.usermodel.chart">XDDFChartData.Series</a>&gt;&nbsp;getSeries()</pre>
                            </li>
                        </ul>
                        <a name="setVaryColors-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setVaryColors</h4>
                                <pre>public abstract&nbsp;void&nbsp;setVaryColors(boolean&nbsp;varyColors)</pre>
                            </li>
                        </ul>
                        <a name="addSeries-org.apache.poi.xddf.usermodel.chart.XDDFDataSource-org.apache.poi.xddf.usermodel.chart.XDDFNumericalDataSource-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>addSeries</h4>
                                <pre>public abstract&nbsp;<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartData.Series.html"
                                        title="class in org.apache.poi.xddf.usermodel.chart">XDDFChartData.Series</a>&nbsp;addSeries(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFDataSource.html"
                                        title="interface in org.apache.poi.xddf.usermodel.chart">XDDFDataSource</a>&lt;?&gt;&nbsp;category,
                                               <a href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFNumericalDataSource.html"
                                                  title="interface in org.apache.poi.xddf.usermodel.chart">XDDFNumericalDataSource</a>&lt;? extends java.lang.Number&gt;&nbsp;values)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XDDFChartData.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html"
               title="class in org.apache.poi.xddf.usermodel.chart"><span
                class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartData.Series.html"
               title="class in org.apache.poi.xddf.usermodel.chart"><span
                class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/xddf/usermodel/chart/XDDFChartData.html" target="_top">Frames</a>
        </li>
        <li><a href="XDDFChartData.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
